26 lines
979 B
Diff
26 lines
979 B
Diff
|
From 07aeaae356cf001ebe527a5e106e04b5df6aca4c Mon Sep 17 00:00:00 2001
|
||
|
From: =?UTF-8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <aidecoe@aidecoe.name>
|
||
|
Date: Sun, 21 Aug 2011 12:47:14 +0200
|
||
|
Subject: [PATCH] livenet: take into account other ca-bundle paths; use
|
||
|
inst_any for that
|
||
|
|
||
|
---
|
||
|
modules.d/90livenet/module-setup.sh | 4 +++-
|
||
|
1 files changed, 3 insertions(+), 1 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/90livenet/module-setup.sh b/modules.d/90livenet/module-setup.sh
|
||
|
index 3ae72de..b166859 100755
|
||
|
--- a/modules.d/90livenet/module-setup.sh
|
||
|
+++ b/modules.d/90livenet/module-setup.sh
|
||
|
@@ -15,7 +15,9 @@ depends() {
|
||
|
install() {
|
||
|
dracut_install wget
|
||
|
mkdir -m 0755 -p "$initdir/etc/ssl/certs"
|
||
|
- if ! inst_simple /etc/ssl/certs/ca-bundle.crt; then
|
||
|
+ if ! inst_any -t /etc/ssl/certs/ca-bundle.crt \
|
||
|
+ /etc/ssl/certs/ca-bundle.crt \
|
||
|
+ /etc/ssl/certs/ca-certificates.crt; then
|
||
|
dwarn "Couldn't find SSL CA cert bundle; HTTPS won't work."
|
||
|
fi
|
||
|
|